Summary:        OpenStackClient Library
Name:           python-osc-lib
Version:        2.3.1
Release:        2%{?dist}
License:        Apache-2.0
URL:            https://docs.openstack.org/osc-lib/latest/
Source0:        https://tarballs.opendev.org/openstack/osc-lib/osc-lib-%{version}.tar.gz

BuildArch:      noarch

%description
OpenStackClient Library

%package -n python3-osc-lib
Summary:        OpenStackClient Library
BuildRequires:  python3-devel python3-setuptools python3-pbr python3-pip python3-wheel
BuildRequires:  python3-cliff python3-keystoneauth1 python3-openstacksdk python3-oslo-i18n
BuildRequires:  python3-oslo-utils python3-simplejson python3-stevedore
Requires:       python3-cliff python3-keystoneauth1 python3-openstacksdk python3-oslo-i18n
Requires:       python3-oslo-utils python3-pbr python3-simplejson python3-stevedore
Provides:       python-osc-lib

%description -n python3-osc-lib
OpenStackClient Library

%prep
%autosetup -n osc-lib-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
cp -arf doc %{buildroot}/%{_pkgdocdir}

%files -n python3-osc-lib
%{_docdir}/*
%{python3_sitelib}/osc_lib
%{python3_sitelib}/*.egg-info

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 13 2023 Miaojun Dong <zoedong@tencent.com> - 2.3.1-1
- initial build

